Control docker version within stack
[infra/stack/kubernetes.git] / vars / kubernetes.yaml
index 5accc01..905bb35 100644 (file)
@@ -55,6 +55,17 @@ scenarios:
   - k8-multus-plugins
   - k8-weave-nofeature
 
+# -------------------------------------------------------------------------------
+# Nordix: Docker version
+# -------------------------------------------------------------------------------
+# NOTE (fdegir): versions of docker as of 13.02.2020 matching to what Kubespray uses
+# Please note that docker-ce version is configured to be overrideable since some scenarios
+# require different docker versions
+docker_ce_version: "{{ lookup('env', 'DOCKER_CE_VERSION') | default('5:18.09.9~3-0~ubuntu-bionic', true) }}"
+docker_ce_cli_version: "{{ docker_ce_version }}"
+docker_registry_version: "2.7.1"
+containerd_io_version: "1.2.6-3"
+
 # -------------------------------------------------------------------------------
 # Kubernetes: Kubernetes and kubectl versions
 # -------------------------------------------------------------------------------